# Pyserini Release Notes (v0.19.0)

+ **Release date:** November 2, 2022
+ **Anserini dependency:** v0.16.1

## Summary of Changes

+ Added two-click reproduction (2CR) matrix for MIRACL.
+ Added (available topic, qrel) bindings for TREC 2022 NeuCLIR Track and MIRACL.
+ Added simple MIRACL demo.
+ Added ability to extract feedback terms.
+ Installed pre-built HC4 and NeuCLIR22 indexes (Lucene 9).
+ Installed pre-built MS MARCO V1 indexes (Lucene 9).
+ Installed pre-built MS MARCO V2 indexes (Lucene 9).
+ Installed pre-built Mr.TyDi indexes (Lucene 9).
+ Installed pre-built MIRACL indexes: sparse (Lucene 9) and dense (Faiss flat).
+ Improved MS MARCO V1 and V2 regressions and fixed bugs.
+ Fixed bugs in HC4 bindings.
+ Fixed various broken tests.
+ Fixed issues in Anserini: bug in `batch_search` for RM3 (and other feedback models); made BM25prf thread-safe.

## Contributors

### This Release

Sorted by number of commits:

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Xinyu (Crystina) Zhang ([crystina-z](https://github.com/crystina-z))
+ Ehsan Kamalloo ([ehsk](https://github.com/ehsk))
+ Jason Wu ([Jasonwu-0803](https://github.com/Jasonwu-0803))
+ Manveer Tamber ([manveertamber](https://github.com/manveertamber))
+ Melody Li ([limelody](https://github.com/limelody))
+ Ogundepo Odunayo ([ToluClassics](https://github.com/ToluClassics))
+ Yogeswar ([yogeswarl](https://github.com/yogeswarl))
+ shaileshj2803 ([shaileshj2803](https://github.com/shaileshj2803))

### All Time

All contributors with five or more commits, sorted by number of commits, [according to GitHub](https://github.com/castorini/pyserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Xinyu (Crystina) Zhang ([crystina-z](https://github.com/crystina-z))
+ Johnson Han ([x65han](https://github.com/x65han))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Manveer Tamber ([manveertamber](https://github.com/manveertamber))
+ Arthur Chen ([ArthurChen189](https://github.com/ArthurChen189))
+ Jack Lin ([jacklin64](https://github.com/jacklin64))
+ Hang Li ([hanglics](https://github.com/hanglics))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Matt J. H. Yang ([justram](https://github.com/justram))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Ogundepo Odunayo ([ToluClassics](https://github.com/ToluClassics))
+ Habeeb Shopeju ([HAKSOAT](https://github.com/HAKSOAT))
+ Shengyao Zhuang ([ArvinZhuang](https://github.com/ArvinZhuang))
+ Sailesh Nankani ([saileshnankani](https://github.com/saileshnankani))
+ Xinyu Mavis Liu ([x389liu](https://github.com/x389liu))
+ Zeynep Akkalyoncu Yilmaz ([zeynepakkalyoncu](https://github.com/zeynepakkalyoncu))
+ Pepijn Boers ([PepijnBoers](https://github.com/PepijnBoers))
